[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Announcing yum-merge-conf, a yum plugin to merge configuration files



On Sun, Mar 11, 2007 at 06:05:46PM +0100, Aurelien Bompard wrote:
> Dear Fedoreans,
> 
> Having followed the debate over whether to flag init scripts as %config
> files, I thought that there's a feature of another package manager that I
> liked: when a config file has changed, it asks you if you want to keep your
> local copy or if you want to install the package's version.
> RPM is non-interactive, so it's not supposed to do this. But I thought this
> could be implemented in a yum plugin.
> 
> I've written a plugin which does just this:
> http://gauret.free.fr/fichiers/rpms/fedora/yum-merge-conf/merge-conf.py
> http://gauret.free.fr/fichiers/rpms/fedora/yum-merge-conf/yum-merge-conf-1.0-1.noarch.rpm
> 
> Add the --merge-conf command line option to your yum update, and it will ask
> you what to do with those .rpm{save,new} files as the packages are
> installed. You'll be able to diff the files, choose your version, or spawn
> a shell to check further.
> 
> If you think you could be interested in this feature, please have a look. If
> you think it's a useful plugin and it's decently written (it's my first yum
> plugin), I'll submit it to the yum list.

Nice work, Aurélien.  I had been toying around with the idea of throwing
together something similar.

I haven't had time to look into it further, but With this plugin enabled,
`yum update` ends with a 'Package Header Not Available' message:

    Running Transaction
      Updating  : python-sqlalchemy            ######################### [1/2] 
      Cleanup   : python-sqlalchemy            ######################### [2/2]


    Package Header Not Available


luke


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]